package de.mathema.spring.api;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import org.hibernate.validator.Email;
import org.hibernate.validator.NotEmpty;
import org.hibernate.validator.event.JPAValidateListener;

@SuppressWarnings("serial")
@Entity
@EntityListeners(JPAValidateListener.class)
public class Subscriber implements Serializable{

	@Id
	@GeneratedValue
	private long id;
	@Basic(optional=false)
	@NotEmpty(message ="Nickname darf nicht leer sein")
	private String nickName;
	@Basic(optional=false)
	@NotEmpty(message="email darf nicht leer sein")
	@Email(message="email hat falsches format")
	private String email;
	
	public Subscriber(){
		
	}
	public Subscriber(String nickName, String email2) {
		this.nickName = nickName;
		this.email = email2;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public boolean isConfirmed() {
		return confirmed;
	}

	public void setConfirmed(boolean confirmed) {
		this.confirmed = confirmed;
	}

	private boolean confirmed = false;
}
